/*
 * DataStoreFactory.java
 */

package catalog.datastore;

import catalog.compactdisk.*;
import catalog.guiutil.*;
import javax.swing.*;


/**
 * A factory class to create an object of datastore (DataBaseDataStore/
 * FileDataStore).
 */
public class DataStoreFactory
{
  /**
   * Method to make DataStore object.
   * <p><b>pre:</b> Argument is valid.
   * <p><b>post:</b> An DataStore object has been created
   */
  public static DataStore makeDataStore(String option)
  {
    if(option.equalsIgnoreCase("Database"))
    {
      return (DataStore)DataBaseDataStore.getInstance();
    }
    else if(option.equalsIgnoreCase("File"))
    {
      return (DataStore)FileDataStore.getInstance();
    }
    return null;
  }
} // eof.
